// =============================================================================
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2013 - Scilab Enterprises - Simon MARCHETTO
//
//  This file is distributed under the same license as the Scilab package.
// =============================================================================

// <-- CLI SHELL MODE -->
// <-- ENGLISH IMPOSED -->

exec(fullfile(MEDGetRootPath(), "tests/unit_tests/testUtils.sci"));

function testDField_name()
    field = DField_New(ON_NODES);
    Field_setName(field, "field1");
    assert_checkequal(Field_getName(field), "field1");
endfunction

function testDField_type()
    field = DField_New(ON_CELLS);
    assert_checkequal(Field_getTypeOfField(field), ON_CELLS);
endfunction

function testDField_nature()
    field = DField_New(ON_CELLS);
    Field_setNature(field, Integral);
    assert_checkequal(Field_getNature(field), Integral);
endfunction

function testDField_description()
    field = DField_New(ON_NODES);
    Field_setDescription(field, "description");
    assert_checkequal(Field_getDescription(field), "description");
endfunction

function testDField_array()
    field = DField_New(ON_NODES);
    values = [1; 2; 3; 4];
    darraySet = createDArray(values);
    DField_setArray(field, darraySet);
    darrayGet = DField_getArray(field);
    checkDArrayValues(darrayGet, values);
endfunction

function testDField_getValueOnPos()
    mesh = createCMesh2D();
    field = createDField("DField", ON_NODES, NO_TIME, mesh);
    darray = createDArray([1:16]');
    DField_setArray(field, darray);
    assert_checkequal(DField_getValueOnPos(field, 2, 0, 0), 3);
    assert_checkequal(DField_getValueOnPos(field, 0, 1, 0), 5);
endfunction

testDField_name();
testDField_type();
testDField_nature();
testDField_description();
testDField_array();
testDField_getValueOnPos();
